Debian Bug report logs - #498531
live-helper: Using --keyring-packages together with aptitude fails

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Andreas Putzo <andreas@putzo.net>

Date: Wed, 10 Sep 2008 21:00:02 UTC

Severity: normal

Found in version live-helper/1.0.0-2

Fixed in version live-helper/1.0.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498531; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Andreas Putzo <andreas@putzo.net>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Putzo <andreas@putzo.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Using --keyring-packages together with aptitude fails
Date: Wed, 10 Sep 2008 22:56:05 +0200
Package: live-helper
Version: 1.0.0-2
Severity: normal

Hi,

lh_config --apt aptitude --keyring-packages debian-archive-keyring ..
fails with this error message

...
Reading extended state information...error: creating chroot failed.
Initializing package states...
Reading task descriptions...
aptitude: unrecognized option `--force-yes'
aptitude 0.4.11.8
Usage: aptitude [-S fname] [-u|-i]
...

This seems to be in /usr/bin/lh_chroot_sources line 291.


Regards,
Andreas

-- Package-specific info:

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.5.2      Bootstrap a Debian system
ii  debootstrap                   1.0.9      Bootstrap a basic Debian system
ii  gettext-base                  0.17-2     GNU Internationalization utilities

live-helper recommends no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#498531; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 498531@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 498531@bugs.debian.org, 498531-submitter@bugs.debian.org
Subject: Re: live-helper: Using --keyring-packages together with aptitude fails
Date: Thu, 11 Sep 2008 08:35:03 +0200
tags 49831 +pending
thanks

Hi,

this is fixed in git with
http://git.debian.net/?p=debian-live/live-helper.git;a=commitdiff;h=5210bf669d39221b42b0891775bdc023f188f396;hp=67e7a0c98a6b90344d5681b30e6d73d0a89f55d6

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Message sent on to Andreas Putzo <andreas@putzo.net>:
Bug#498531. Full text and rfc822 format available.

Tags added: pending Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 11 Sep 2008 07:09:04 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Fri, 19 Sep 2008 13:48:30 GMT) Full text and rfc822 format available.

Notification sent to Andreas Putzo <andreas@putzo.net>:
Bug acknowledged by developer. (Fri, 19 Sep 2008 13:48:30 GMT) Full text and rfc822 format available.

Message #20 received at 498531-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 498531-close@bugs.debian.org
Subject: Bug#498531: fixed in live-helper 1.0.1-1
Date: Fri, 19 Sep 2008 12:32:05 +0000
Source: live-helper
Source-Version: 1.0.1-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0.1-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0.1-1.diff.gz
live-helper_1.0.1-1.dsc
  to pool/main/l/live-helper/live-helper_1.0.1-1.dsc
live-helper_1.0.1-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0.1-1_all.deb
live-helper_1.0.1.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 498531@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 19 Sep 2008 14:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0.1-1
Distribution: unstable
Urgency: medium
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 498385 498531
Changes: 
 live-helper (1.0.1-1) unstable; urgency=medium
 .
   [ Chris Lamb ]
   * Improve architecture auto-detection.
   * mksquashfs in Lenny supports -no-progress, so remove (broken) check.
   * Standardise on appending " (fail-safe mode)" for all bootloaders.
   * Use cp's "-T" option instead of shell globbing to ensure dotfiles in the
     binary image's / are copied.
   * Add "/.disk" metadata on usb-hdd images.
   * Unmount chroot/dev.tmp/pts filestems created by lh_binary_usb-hdd in
     lh_clean.
   * Additionally unmount chroot/binary.tmp in lh_clean --chroot.
   * Refactor partition size calculation, ensuring a uniform increase for ext
     partitions.
   * Warn when using syslinux with a non-FAT LH_BINARY_FILESYSTEM.
   * Use tar to perform lh_bootstrap_copy (Closes: #498385)
   * Add silo to sparc source package selection.
   * Correcting package name "dd_rescue" -> "ddrescue".
   * Correcting package names for "madwifi", only installing if non-free
     selected.
   * Removing packages from rescue list where they 'Conflict:' with each other.
   * Fix handling of --version and getopt program name.
 .
   [ Daniel Baumann ]
   * Adding support for squeeze (lenny+1).
   * Don't install more than one kernel image when building minimal or stripped
     images.
   * Removing currently unused Upstream-Depends field in control.
   * Making gettext depends unversioned.
   * Fixing a chicken-egg problem with package indices when using
     minimal/stripped list *and* including local-packages.
   * Adding color functions for future usage.
   * Adding cursor functions for future usage.
   * Updating vcs fields in control file.
   * Applying patch from Ian Jackson <ian@davenant.greenend.org.uk> to update
     package selection of the rescue list.
   * Removing unsupported, unmaintained and unused knoppix package lists.
   * Adding syslinux-common to rescue list.
   * Adding scalpel to rescue list as suggested by Mathieu Geli
     <mathieu.geli@gmail.com>.
   * Correcting typo with if/endif statements in the rescue list.
   * Removing alsa-oss from standard-x11 package list, this should not really be
     in a default list.
   * Adding posh and dash to devel-live packages list.
   * Not including syslinux-common on lenny just yet, it still neds 1.5 days to
     migrate.
   * Adding rescue flavour to autobuild images.
   * Always using apt to install keyring packages (Closes: #498531).
   * Correcting wrong logic in lh_cleans check for beeing in the config directory
     or not (in order to prevent accidental cleaning by the user).
   * Automatically enforcing fat32 on usb-hdd when detecting files bigger than
     2GB.
   * Automatically enforcing fat32 on usb-hdd when detecting partitions bigger
     than 2GB.
   * Simplyfing partition size check when enforcing fat32.
   * Removing example hook for qemu-launcher, this is now in the archive as
     autorun4linuxcd package.
   * Adding example hook to update initramfs.
   * Updating cursor.sh with additional functions.
   * Re-including syslinux-common for lenny in the rescue list.
   * Adding lxde list, thanks to Kam Salisbury <kam@kamsalisbury.com>.
   * Adding moreutils to rescue list.
   * Adding scripts directory to to include custom helper scripts.
   * Removing sbm, not needed anymore.
 .
   [ Mathieu Geli ]
   * Correcting some little glitches building with the rescue list.
 .
   [ Marco Amadori ]
   * Splitted "longoptions" in various lines.
Checksums-Sha1: 
 6dd3e6a582693dc84606dc2dc0162ebb4443aa8d 1239 live-helper_1.0.1-1.dsc
 d3dbe882bf6464dcfc9beaea9aae7ed7a64ab7a7 1921564 live-helper_1.0.1.orig.tar.gz
 3198ddb71a4299b50f7a021689266fc5a1eda20b 20041 live-helper_1.0.1-1.diff.gz
 bedd6c01a4e48223b70cb63a1a8e9ac801ff493d 1853782 live-helper_1.0.1-1_all.deb
Checksums-Sha256: 
 b4091b43099dd020c48a51cf5555e6aac096812e0dfb3b7a1ec9f5302b8a495c 1239 live-helper_1.0.1-1.dsc
 f6de8a877047ac34067212b71c96273233bff81ac9a3a179f94ea07812309e8b 1921564 live-helper_1.0.1.orig.tar.gz
 3c88c9574a9d2598508207bd42abdba09f4ccc44d67f9ff46c4b319b444d2666 20041 live-helper_1.0.1-1.diff.gz
 4069d3be67e7cabf4653e644a0eacffb08227cda009110d03a844ccd101b9472 1853782 live-helper_1.0.1-1_all.deb
Files: 
 70a25531dccfb79926d0fd992fdaf63a 1239 misc optional live-helper_1.0.1-1.dsc
 8b037b6d9d047b37a8dd1e4cf9b7dccc 1921564 misc optional live-helper_1.0.1.orig.tar.gz
 a5e7970f4c0ee54ad6191f01743551ca 20041 misc optional live-helper_1.0.1-1.diff.gz
 43c4e345c4b198e94971f6dfaad97afa 1853782 misc optional live-helper_1.0.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkjTmUYACgkQ+C5cwEsrK57cogCfZKgafFM2MkNPA6On1WBbw1bj
yd0AoI9cjBUy9IbhAXfQIC3oDOSPw5Tk
=2o3I
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 27 Oct 2008 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:43:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.